## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-parameterized
Version:        0.8.1
Release:        %autorelease
Summary:        Parameterized testing with any Python test framework

License:        BSD-2-Clause-Views
URL:            https://github.com/wolever/parameterized
Source:         %{pypi_source parameterized}

# pytest 4+ support
# Backported from https://github.com/wolever/parameterized/pull/116
# Removed changes for CI configuration
# Added https://github.com/wolever/parameterized/pull/116/files#r850666754
# Added https://github.com/wolever/parameterized/pull/116/files#r892932605
# Fixes test failures with pytest 7+
Patch:          pytest4.patch
# Allow running tests without nose
# https://github.com/wolever/parameterized/pull/145
#
# Rebased to apply cleanly on top of pytest4.patch.
Patch:          parameterized-0.8.1-no-nose.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# Upstream supports tox, and in theory we could generate these by something like:
#   %%pyproject_buildrequires -t -e %%{toxenv}-nose2,%%{toxenv}-pytest4,%%{toxenv}-unit
# but upstream is not keeping up, and we would also have to patch in support
# for environments after py36. It’s not worth it; we can more easily run the
# tests manually and specify the BR’s manually. See %%check.
BuildRequires:  python3dist(nose2)
BuildRequires:  python3dist(pytest)

%description
%{summary}.


%package -n python3-parameterized
Summary:        %{summary}

%description -n python3-parameterized
%{summary}.


%prep
%autosetup -p1 -n parameterized-%{version}
sed -i 's|^import mock|from unittest import mock|' parameterized/test.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files parameterized


%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{python3} -m nose2 -v
%pytest parameterized/test.py
%{python3} -m unittest -v parameterized.test


%files -n python3-parameterized -f %{pyproject_files}
# pyproject_files handles LICENSE.txt; verify with “rpm -qL -p …”
%doc CHANGELOG.txt README.rst


%changelog
* Mon Aug 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1-5
- Update License field to SPDX
- Drop dependency on deprecated python-nose
- Port to pyproject-rpm-macros

* Sun Jul 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1-4
- Fix nose2-0.12.0 compatibility: do not use the python-versioned entry point
  for nose2, e.g. nose2-3.11

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.8.1-2
- Rebuilt for Python 3.11

* Wed Jun 08 2022 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-1
- Update to 0.8.1
- Fixes: rhbz#1697443
- Fix test failures with pytest 7+
- Fixes: rhbz#2059963

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 02 2021 Python Maint <python-maint@redhat.com> - 0.7.4-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 21 2021 Jiri Popelka <jpopelka@redhat.com> - 0.7.4-1
- 0.7.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 2020 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 08 2019 Jiri Popelka <jpopelka@redhat.com> - 0.7.0-1
- 0.7.0
- Don't use now orphaned python-unittest2

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-9
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-8
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Aug 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-5
- Drop python2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Nov 19 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

